<?php
// Make sure the file parameter was passed
if (!isset($_GET['file'])) {
    echo "File parameter is missing";
    exit;
}

// Get the file path from the file parameter
$file = $_GET['file'];

// Sanitize the file path to prevent directory traversal attacks
$file = realpath($file);

// Make sure the file exists and is readable
if (!file_exists($file) || !is_readable($file)) {
    echo "File not found or not readable";
    exit;
}

// Set the headers to force a file download
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="' . basename($file) . '"');
header('Content-Length: ' . filesize($file));

// Send the file contents to the browser
readfile($file);
?>
